> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rastro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Catalogs

> List all catalogs accessible to the authenticated organization.

Returns catalogs owned by the organization associated with the API key or user token.



## OpenAPI

````yaml /api-reference/openapi.json get /public/catalogs
openapi: 3.1.0
info:
  title: Rastro Public API
  description: >-
    Public API for enrichment, catalog management, workflows, activities,
    snapshots, taxonomy, and MCP integrations.
  version: 0.1.0
servers:
  - url: https://catalogapi.rastro.ai/api
security:
  - bearerAuth: []
paths:
  /public/catalogs:
    get:
      tags:
        - Catalogs
      summary: List Catalogs
      description: >-
        List all catalogs accessible to the authenticated organization.


        Returns catalogs owned by the organization associated with the API key
        or user token.
      operationId: list_catalogs_api_public_catalogs_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: X-Organization-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicCatalogListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    PublicCatalogListResponse:
      properties:
        catalogs:
          items:
            $ref: '#/components/schemas/PublicCatalogResponse'
          type: array
          title: Catalogs
        total_count:
          type: integer
          title: Total Count
        page:
          type: integer
          title: Page
          default: 1
        page_size:
          type: integer
          title: Page Size
          default: 50
      type: object
      required:
        - catalogs
        - total_count
      title: PublicCatalogListResponse
      description: Response model for listing catalogs
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicCatalogResponse:
      properties:
        id:
          type: string
          title: Id
        organization_id:
          type: string
          title: Organization Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        current_schema_version:
          type: string
          title: Current Schema Version
        unique_id_field:
          type: string
          title: Unique Id Field
        product_id_field:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Id Field
        auto_evolve_schema:
          type: boolean
          title: Auto Evolve Schema
        strict_mode:
          type: boolean
          title: Strict Mode
        product_enabled:
          type: boolean
          title: Product Enabled
        item_count:
          type: integer
          title: Item Count
        created_by_user_id:
          type: string
          title: Created By User Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        schema:
          anyOf:
            - $ref: '#/components/schemas/CatalogSchemaResponse'
            - type: 'null'
      type: object
      required:
        - id
        - organization_id
        - name
        - current_schema_version
        - unique_id_field
        - auto_evolve_schema
        - strict_mode
        - product_enabled
        - item_count
        - created_by_user_id
        - created_at
      title: PublicCatalogResponse
      description: Response model for catalog information
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CatalogSchemaResponse:
      properties:
        id:
          type: string
          title: Id
        catalog_id:
          type: string
          title: Catalog Id
        version:
          type: string
          title: Version
        schema_definition:
          additionalProperties: true
          type: object
          title: Schema Definition
        backward_compatible:
          type: boolean
          title: Backward Compatible
        migration_rules:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Migration Rules
        created_by:
          type: string
          title: Created By
        change_reason:
          type: string
          title: Change Reason
        created_at:
          type: string
          format: date-time
          title: Created At
        last_edited_by_workflow:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Edited By Workflow
        last_edited_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Edited At
        fields_workflow_info:
          items:
            $ref: '#/components/schemas/FieldWorkflowInfo'
          type: array
          title: Fields Workflow Info
          default: []
        total_fields:
          type: integer
          title: Total Fields
          default: 0
        input_fields_count:
          type: integer
          title: Input Fields Count
          default: 0
        generated_fields_count:
          type: integer
          title: Generated Fields Count
          default: 0
      type: object
      required:
        - id
        - catalog_id
        - version
        - schema_definition
        - backward_compatible
        - created_by
        - change_reason
        - created_at
      title: CatalogSchemaResponse
      description: Response model for catalog schema
    FieldWorkflowInfo:
      properties:
        field_name:
          type: string
          title: Field Name
        field_type:
          type: string
          title: Field Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        required:
          type: boolean
          title: Required
          default: false
        field_category:
          type: string
          title: Field Category
          default: input
        scope:
          type: string
          title: Scope
          default: variant
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        sample_values:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Sample Values
        added_by_workflow:
          anyOf:
            - type: string
            - type: 'null'
          title: Added By Workflow
        added_by_node:
          anyOf:
            - type: string
            - type: 'null'
          title: Added By Node
        added_in_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Added In Version
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        last_edited_by_workflow:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Edited By Workflow
        last_edited_by_node:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Edited By Node
        last_edited_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Edited At
        last_edited_in_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Edited In Version
        validation_rules:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Validation Rules
      type: object
      required:
        - field_name
        - field_type
      title: FieldWorkflowInfo
      description: Workflow tracking information for a specific field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Rastro API key or user token

````